import request from '@/utils/request'

// 查询牲畜（禽）资产列表
export function listAnimals(query) {
  return request({
    url: '/asset/animals/list',
    method: 'get',
    params: query
  })
}

// 查询牲畜（禽）资产详细
export function getAnimals(id) {
  return request({
    url: '/asset/animals/get/' + id,
    method: 'get'
  })
}

// 新增牲畜（禽）资产
export function addAnimals(data) {
  return request({
    url: '/asset/animals/add',
    method: 'post',
    data: data
  })
}

// 修改牲畜（禽）资产
export function updateAnimals(data) {
  return request({
    url: '/asset/animals/edit',
    method: 'post',
    data: data
  })
}

// 删除牲畜（禽）资产
export function delAnimals(id) {
  return request({
    url: '/asset/animals/remove/' + id,
    method: 'get'
  })
}

// 导出牲畜（禽）资产
export function exportAnimals(query) {
  return request({
    url: '/asset/animals/export',
    method: 'get',
    params: query
  })
}
